org.apache.uima.resource

## Class ResourceAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.resource.ResourceAccessException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class ResourceAccessException
      extends UIMAException

  Thrown to indicate a failure has occurred in attempting to access an external resource.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PARAMETERS_NOT_ALLOWED` Message key for a standard UIMA exception message: "The Resource {0} does not accept parameters."
    `static String` | `PARAMETERS_REQUIRED` Message key for a standard UIMA exception message: "The Resource {0} requires parameters, none were specified."

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAccessException()` Creates a new exception with a null message.
    `ResourceAccessException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceAccessException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceAccessException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `ResourceAccessException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `ResourceAccessException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### PARAMETERS_REQUIRED

          public static final String PARAMETERS_REQUIRED

      Message key for a standard UIMA exception message: "The Resource {0} requires parameters, none were specified."
      See Also:
        Constant Field Values

    - #### PARAMETERS_NOT_ALLOWED

          public static final String PARAMETERS_NOT_ALLOWED

      Message key for a standard UIMA exception message: "The Resource {0} does not accept parameters."
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceAccessException

          public ResourceAccessException()

      Creates a new exception with a null message.

    - #### ResourceAccessException

          public ResourceAccessException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceAccessException

          public ResourceAccessException(String aResourceBundleName,
                                         String aMessageKey,
                                         Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceAccessException

          public ResourceAccessException(String aResourceBundleName,
                                         String aMessageKey,
                                         Object[] aArguments,
                                         Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceAccessException

          public ResourceAccessException(String aMessageKey,
                                         Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceAccessException

          public ResourceAccessException(String aMessageKey,
                                         Object[] aArguments,
                                         Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.